Operation.ElementDeletion (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class Operation.ElementDeletion

- java.lang.Object
- - org.apache.cassandra.cql3.Operation.ElementDeletion

- All Implemented Interfaces:
    Operation.RawDeletion
  Enclosing class:
    Operation

      public static class Operation.ElementDeletion
      extends java.lang.Object
      implements Operation.RawDeletion

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementDeletion(ColumnDefinition.Raw id, Term.Raw element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnDefinition.Raw` | `affectedColumn()` The name of the column affected by this delete operation.
    `Operation` | `prepare(java.lang.String keyspace, ColumnDefinition receiver, CFMetaData cfm)` This method validates the operation (i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementDeletion

          public ElementDeletion(ColumnDefinition.Raw id,
                                 Term.Raw element)

  - ### Method Detail

    - #### affectedColumn

          public ColumnDefinition.Raw affectedColumn()

      Description copied from interface: `Operation.RawDeletion`
      The name of the column affected by this delete operation.
      Specified by:
        `affectedColumn` in interface `Operation.RawDeletion`

    - #### prepare

          public Operation prepare(java.lang.String keyspace,
                                   ColumnDefinition receiver,
                                   CFMetaData cfm)
                            throws InvalidRequestException

      Description copied from interface: `Operation.RawDeletion`
      This method validates the operation (i.e. validate it is well typed) based on the specification of the column affected by the operation (i.e the one returned by affectedColumn()). It returns an Operation which can be though as post-preparation well-typed Operation.
      Specified by:
        `prepare` in interface `Operation.RawDeletion`
        `receiver` - the "column" this operation applies to.
      Returns:
        the prepared delete operation.
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation